
CoCoA-5 - Feature #1367

CoCoA-5.3.0: release linked with more recent version of normaliz

24 Nov 2019 12:49 - John Abbott

Status: Closed Start date: 24 Nov 2019

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Release Estimated time: 3.01 hours

Target version: CoCoA-5.3.0 Spent time: 2.80 hours

Description

The last release was linked with an "old" version of normaliz.  Make the next release with a more recent version (e.g. 3.8.2)

Related issues:

Related to CoCoA-5 - Support #1222: Release CoCoA-5.3.0 Closed 28 Aug 2018

Related to CoCoALib - Support #618: Instructions for compiling libnormaliz Closed 09 Sep 2014

History

#1 - 24 Nov 2019 12:51 - John Abbott

I'm hoping that this should be easy (at least on Linux).

On my linux box, compilation and linking work fine with normaliz-3.7.2.  I have only just downloaded 3.8.2, but do not anticipate any problems.

Since we are collaborating (informally) with Normaliz, we should try to stay up-to-date.

#2 - 24 Nov 2019 12:56 - John Abbott

- Related to Support #1222: Release CoCoA-5.3.0 added

#3 - 17 Feb 2020 13:59 - John Abbott

- Priority changed from Normal to High

Anna can you try compiling the latest version (3.8.4)?

Also note well what you had to do to make it compile.

#4 - 17 Feb 2020 15:22 - John Abbott

- Related to Support #618: Instructions for compiling libnormaliz added

#5 - 03 Mar 2020 22:04 - John Abbott

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 10

Anna, if you need help with this I can try.

The important thing is to note down what worked in the end.

It would be embarrassing to release a new version of CoCoA linked with an old version of Normaliz!

#6 - 04 Mar 2020 19:31 - Anna Maria Bigatti

Postpone?

I always have trouble with normaliz, and I prefer to focus on cocoa things for this release (I need it for next week)

29 Apr 2024 1/2



#7 - 20 Mar 2020 12:23 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

Anna says she has now managed to get successful compilation with N-3.8.4.

She should register (to this issue) the time spent.

I'll check on my old macbook.

#8 - 30 Apr 2020 14:44 - John Abbott

Anna: can you register the time spent on this, and then close the issue?  I think it is due to be closed now, right?

#9 - 30 Apr 2020 15:43 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 3.01 h
